# Uses of Interface
java.lang.classfile.instruction.LocalVariableType

Packages that use LocalVariableType
Package
Description
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of LocalVariableType in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return LocalVariableType
Modifier and Type
Method
Description
`static LocalVariableType`
LocalVariableType.`of(int slot, Utf8Entry nameEntry, Utf8Entry signatureEntry, Label startScope, Label endScope)`
Returns a local variable type pseudo-instruction.
`static LocalVariableType`
LocalVariableType.`of(int slot, String name, Signature signature, Label startScope, Label endScope)`
Returns a local variable type pseudo-instruction.